org.apache.tomcat.util.bcel.classfile

## Class StackMapEntry

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.StackMapEntry

All Implemented Interfaces:
  Serializable, Cloneable

    public final class StackMapEntry
    extends Object
    implements Cloneable, Serializable

This class represents a stack map entry recording the types of local variables and the the of stack items at a given byte code offset. See CLDC specification §5.3.1.2

Author:
  M. Dahm
See Also:
  `StackMap`, `StackMapType`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StackMapEntry(int byte_code_offset, int number_of_locals, StackMapType[] types_of_locals, int number_of_stack_items, StackMapType[] types_of_stack_items)`

### Method Summary

Methods
`StackMapEntry` `copy()`
`void` `dump(DataOutputStream file)` Dump stack map entry
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StackMapEntry

    public StackMapEntry(int byte_code_offset,
                 int number_of_locals,
                 StackMapType[] types_of_locals,
                 int number_of_stack_items,
                 StackMapType[] types_of_stack_items)

### Method Detail

#### dump

    public final void dump(DataOutputStream file)
                    throws IOException

Dump stack map entry

Parameters:
  `file` - Output file stream
Throws:
  `IOException`

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`
Returns:
  String representation.

#### copy

    public StackMapEntry copy()

Returns:
  deep copy of this object